SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001681SiT!plugin hookspublic2011-08-11 10:482013-03-02 16:20
Reporterivan 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001681: Make plugin hooks consistent
DescriptionUse a consistent naming and placing scheme for plugin hooks to assist plugin developers and fix the mess of names that we have right now.

<page name> - Add content to the page in the most appropriate place for custom content
<page name>_form - Placed at the end of the form inside the form table but before the buttons
<page name>_form_more - Placed at the end of the collapsible form section (more/advanced), where there is one, inside the form table but before the buttons
<page name>_submitted - Placed after form data has been submitted (and validated) but before it is saved to the database or actioned upon
<page name>_saved - Placed after form data has been saved but before confirmation is output or the page is redirected
Additional InformationI'll add to this list if more standard names become obvious
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0004196)
ivan (administrator)
2011-08-11 11:00

<table name>_table - Placed at the end of a table of data but before it is closed
User avatar (0004713)
ivan (administrator)
2013-02-23 14:53
edited on: 2013-03-02 16:16

Outstanding:

billing_approve_form
holiday_chart_day_am
holiday_chart_day_pm
holiday_chart_cal
config_tab (perhaps just needs documenting, unsure)
holdingqueue_rowshade
holiday_ack > holiday_acknowledge_action
holiday_cancelled > holiday_cancelled_action
email_arrived > email_arrived_action
email-arrived_no_owner > email_stored_action
inboundemail_customer_visibility_update > email_update_setvisibility_action
incident_html_top_menu_open_incident
incident_html_top_menu_closed_incident
incident_details_menu
incident_details_*
incident_email_form1
incident_email_form2
incidents_content_between_my_and_expertise
templates_variables_content

User avatar (0004731)
ivan (administrator)
2013-03-02 16:17

Git b104a6a adds some more standardisation.
User avatar (0004732)
ivan (administrator)
2013-03-02 16:20

I've done about as much work as I can on this for now, will keep chipping at it in future releases.

- Issue History
Date Modified Username Field Change
2011-08-11 10:48 ivan New Issue
2011-08-11 10:48 ivan Assigned To => ivan
2011-08-11 10:48 ivan Status new => assigned
2011-08-11 11:00 ivan Note Added: 0004196
2011-08-11 11:03 ivan Description Updated View Revisions
2011-08-11 11:04 ivan Description Updated View Revisions
2011-08-11 11:05 ivan Description Updated View Revisions
2013-02-23 14:53 ivan Note Added: 0004713
2013-03-02 16:08 ivan Note Edited: 0004713 View Revisions
2013-03-02 16:09 ivan Note Edited: 0004713 View Revisions
2013-03-02 16:16 ivan Note Edited: 0004713 View Revisions
2013-03-02 16:17 ivan Note Added: 0004731
2013-03-02 16:20 ivan Note Added: 0004732
2013-03-02 16:20 ivan Status assigned => resolved
2013-03-02 16:20 ivan Fixed in Version => Current GIT
2013-03-02 16:20 ivan Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker